# WOK
TKWOK
WOKUnix

# WOKUnix_Process Class Reference

`#include <WOKUnix_Process.hxx>`

Inheritance diagram for WOKUnix_Process:

[legend]

## Public Member Functions

Standard_EXPORT | WOKUnix_Process (const Standard_Integer argcount, const WOKTools_ArgTable &cmdline, const WOKUnix_PopenOutputMode anoutputmode=WOKUnix_POPEN_MIX_OUT_ERR, const WOKUnix_PopenBufferMode abuffermode=WOKUnix_POPEN_BUFFERED, const Standard_Integer atimeout=-1)
Standard_EXPORT | WOKUnix_Process (const Handle(TCollection_HAsciiString)&cmdline, const WOKUnix_PopenOutputMode anoutputmode=WOKUnix_POPEN_MIX_OUT_ERR, const WOKUnix_PopenBufferMode abuffermode=WOKUnix_POPEN_BUFFERED, const Standard_Integer atimeout=-1)
Standard_EXPORT void | SetCommand (const Standard_Integer argcount, const WOKTools_ArgTable &cmdline)
Standard_EXPORT void | Launch ()
Standard_EXPORT Standard_Boolean | IsLaunched () const
Standard_EXPORT Standard_Integer | Pid () const
Standard_EXPORT Standard_Integer | Timeout () const
Standard_EXPORT void | SetTimeout (const Standard_Integer atimeout)
virtual Standard_EXPORT void | Send (const Handle(TCollection_HAsciiString)&astring)
Standard_EXPORT void | Kill ()
Standard_EXPORT void | Destroy ()
| ~WOKUnix_Process ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT Handle_WOKUnix_ProcessOutput & | Output ()
Standard_EXPORT void | Select (Standard_Integer &afdmax, WOKUnix_Timeval &atimeout, WOKUnix_FDSet &aset) const
Standard_EXPORT void | Acquit (const Standard_Integer selectstatus, const WOKUnix_FDSet &aset) const
Standard_EXPORT void | SelectAndAcquit () const

## Private Attributes

WOKTools_ArgTable | myargv
WOKUnix_PopenOutputMode | mymode
WOKUnix_PopenBufferMode | mybuffermode
WOKUnix_FDescr | myinput
Handle_WOKUnix_ProcessOutput | myoutput
Standard_Boolean | mylaunched
Standard_Integer | mytimeout
Standard_Integer | mychildpid

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_Process::WOKUnix_Process | ( | const Standard_Integer | argcount,
|  | const WOKTools_ArgTable & | cmdline,
|  | const WOKUnix_PopenOutputMode | anoutputmode = `WOKUnix_POPEN_MIX_OUT_ERR`,
|  | const WOKUnix_PopenBufferMode | abuffermode = `WOKUnix_POPEN_BUFFERED`,
|  | const Standard_Integer | atimeout = `-1`
| ) |

Standard_EXPORT WOKUnix_Process::WOKUnix_Process | ( | const Handle(TCollection_HAsciiString)& | cmdline,
|  | const WOKUnix_PopenOutputMode | anoutputmode = `WOKUnix_POPEN_MIX_OUT_ERR`,
|  | const WOKUnix_PopenBufferMode | abuffermode = `WOKUnix_POPEN_BUFFERED`,
|  | const Standard_Integer | atimeout = `-1`
| ) |

WOKUnix_Process::~WOKUnix_Process | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void WOKUnix_Process::Acquit | ( | const Standard_Integer | selectstatus,
|  | const WOKUnix_FDSet & | aset
| ) | const`[protected]`

Standard_EXPORT void WOKUnix_Process::Destroy | ( |  | ) |

Standard_EXPORT const WOKUnix_Process::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WOKUnix_RemoteShell, and WOKUnix_Shell.

Standard_EXPORT Standard_Boolean WOKUnix_Process::IsLaunched | ( |  | ) | const

Standard_EXPORT void WOKUnix_Process::Kill | ( |  | ) |

Standard_EXPORT void WOKUnix_Process::Launch | ( |  | ) |

Standard_EXPORT Handle_WOKUnix_ProcessOutput& WOKUnix_Process::Output | ( |  | ) | `[protected]`

Standard_EXPORT Standard_Integer WOKUnix_Process::Pid | ( |  | ) | const

Standard_EXPORT void WOKUnix_Process::Select | ( | Standard_Integer & | afdmax,
|  | WOKUnix_Timeval & | atimeout,
|  | WOKUnix_FDSet & | aset
| ) | const`[protected]`

Standard_EXPORT void WOKUnix_Process::SelectAndAcquit | ( |  | ) | const`[protected]`

virtual Standard_EXPORT void WOKUnix_Process::Send | ( | const Handle(TCollection_HAsciiString)& | astring | ) | `[virtual]`

| Reimplemented in WOKUnix_Shell.

Standard_EXPORT void WOKUnix_Process::SetCommand | ( | const Standard_Integer | argcount,
|  | const WOKTools_ArgTable & | cmdline
| ) |

Standard_EXPORT void WOKUnix_Process::SetTimeout | ( | const Standard_Integer | atimeout | ) |

Standard_EXPORT Standard_Integer WOKUnix_Process::Timeout | ( |  | ) | const

## Field Documentation

WOKTools_ArgTable WOKUnix_Process::myargv `[private]`

WOKUnix_PopenBufferMode WOKUnix_Process::mybuffermode `[private]`

Standard_Integer WOKUnix_Process::mychildpid `[private]`

WOKUnix_FDescr WOKUnix_Process::myinput `[private]`

Standard_Boolean WOKUnix_Process::mylaunched `[private]`

WOKUnix_PopenOutputMode WOKUnix_Process::mymode `[private]`

| Reimplemented in WOKUnix_Shell.

Handle_WOKUnix_ProcessOutput WOKUnix_Process::myoutput `[private]`

Standard_Integer WOKUnix_Process::mytimeout `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_Process.hxx